Chromium Code Reviews
Help | Chromium Project | Sign in
(6)

Issue 2738973002: Allow MojoAsyncResourceHandler::OnWillRead to complete asyncronously (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 weeks ago by mmenke
Modified:
1 week, 2 days ago
CC:
chromium-reviews, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, jam, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, darin-cc_chromium.org, loading-reviews_chromium.org, darin (slow to review), yhirano
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

when a Mojo buffer can't be allocated synchronously. The class still needs to create its own intermediary buffer when the Mojo buffer is too small to meet the MimeSniffingResourceHandler's needs, but once that's fixed, the class can be made significantly simpler. BUG=687240 Review-Url: https://codereview.chromium.org/2738973002 Cr-Commit-Position: refs/heads/master@{#458093} Committed: https://chromium.googlesource.com/chromium/src/+/2ba831790eccdf8fa9178eef72b8479a12a2f8aa

Patch Set 1 #

Patch Set 2 : Fix bugs, fix tests #

Patch Set 3 : Cleanup #

Total comments: 7

Patch Set 4 : Response to comments #

Patch Set 5 : Merge #

Unified diffs Side-by-side diffs Delta from patch set Stats (+229 lines, -110 lines) Patch
M content/browser/loader/mock_resource_loader.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/loader/mojo_async_resource_handler.h View 1 2 3 4 1 chunk +8 lines, -0 lines 0 comments Download
M content/browser/loader/mojo_async_resource_handler.cc View 1 2 3 4 11 chunks +69 lines, -61 lines 0 comments Download
M content/browser/loader/mojo_async_resource_handler_unittest.cc View 1 2 3 8 chunks +151 lines, -49 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   android_arm64_dbg_recipe   win_clang   mac_chromium_compile_dbg_ng   chromium_presubmit   ios-simulator   ios-device-xcode-clang   linux_chromium_chromeos_rel_ng   win_chromium_compile_dbg_ng   ios-device   win_chromium_rel_ng   linux_chromium_compile_dbg_ng   android_compile_dbg   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_cronet   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   android_clang_dbg_recipe   android_n5x_swarming_rel   linux_chromium_tsan_rel_ng   win_chromium_x64_rel_ng   ios-simulator-xcode-clang   cast_shell_linux   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   android_n5x_swarming_rel   android_arm64_dbg_recipe   mac_chromium_rel_ng   cast_shell_linux   android_clang_dbg_recipe   cast_shell_android   linux_chromium_tsan_rel_ng   ios-device   ios-device-xcode-clang   android_cronet   linux_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_x64_rel_ng   linux_android_rel_ng   android_compile_dbg   ios-simulator   win_clang   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   mac_chromium_compile_dbg_ng   chromeos_daisy_chromium_compile_only_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 39 (26 generated)
mmenke
No rush to review this - figure I'll slowly continue work here in the background ...
2 weeks, 5 days ago (2017-03-10 22:03:45 UTC) #15
mmenke
One other change of note: Previously, BeginWrite / EndWrite errors would return ERR_INSUFFICIENT_MEMORY if they ...
2 weeks, 5 days ago (2017-03-10 22:12:22 UTC) #16
mmenke
[+yhirano]: Just FYI. Not that far from this CL to getting rid of the silly ...
2 weeks, 5 days ago (2017-03-10 22:27:14 UTC) #18
Randy Smith (Not in Mondays)
On 2017/03/10 22:27:14, mmenke (getting caught up) wrote: > [+yhirano]: Just FYI. Not that far ...
2 weeks, 4 days ago (2017-03-11 16:23:45 UTC) #19
mmenke
On 2017/03/11 16:23:45, Randy Smith (Not in Mondays) wrote: > On 2017/03/10 22:27:14, mmenke (getting ...
1 week, 5 days ago (2017-03-17 17:02:12 UTC) #20
Randy Smith (Not in Mondays)
On 2017/03/17 17:02:12, mmenke wrote: > On 2017/03/11 16:23:45, Randy Smith (Not in Mondays) wrote: ...
1 week, 5 days ago (2017-03-17 17:12:14 UTC) #21
mmenke
On 2017/03/17 17:12:14, Randy Smith (Not in Mondays) wrote: > On 2017/03/17 17:02:12, mmenke wrote: ...
1 week, 5 days ago (2017-03-17 17:33:09 UTC) #22
Randy Smith (Not in Mondays)
I'm confused by the MOJO_RESULT_SHOULD_WAIT question below, but beyond that it's looking fine. https://codereview.chromium.org/2738973002/diff/40001/content/browser/loader/mojo_async_resource_handler.cc File ...
1 week, 5 days ago (2017-03-17 20:06:07 UTC) #23
mmenke
https://codereview.chromium.org/2738973002/diff/40001/content/browser/loader/mojo_async_resource_handler.cc File content/browser/loader/mojo_async_resource_handler.cc (right): https://codereview.chromium.org/2738973002/diff/40001/content/browser/loader/mojo_async_resource_handler.cc#newcode308 content/browser/loader/mojo_async_resource_handler.cc:308: // subsequent OnWillRead calls. On 2017/03/17 20:06:06, Randy Smith ...
1 week, 5 days ago (2017-03-17 22:29:39 UTC) #30
Randy Smith (Not in Mondays)
Got it; thanks for the explanation. That'll be good to know :-}. LGTM.
1 week, 4 days ago (2017-03-19 02:35:59 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2738973002/80001
1 week, 2 days ago (2017-03-20 15:36:29 UTC) #35
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/2ba831790eccdf8fa9178eef72b8479a12a2f8aa
1 week, 2 days ago (2017-03-20 16:49:02 UTC) #38
yhirano
1 week, 2 days ago (2017-03-21 03:29:53 UTC) #39
Message was sent while issue was closed.
A revert of this CL (patchset #5 id:80001) has been created in
https://codereview.chromium.org/2760223002/ by yhirano@chromium.org.

The reason for reverting is: This CL leads to a layout test crash.
virtual/mojo-loading/http/tests/serviceworker/chromium/request-body-blob-crash.html.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46